## org.apache.catalina.loader
Interface Reloader

All Known Implementing Classes:
  StandardClassLoader, WebappClassLoader

public interface Reloader

Internal interface that `ClassLoader` implementations may optionally implement to support the auto-reload functionality of the classloader associated with the context.

Version:
  $Revision: 1.6 $ $Date: 2004/08/26 21:34:02 $
Author:
  Craig R. McClanahan

Method Summary
`void` `addRepository(java.lang.String repository)` Add a new repository to the set of places this ClassLoader can look for classes to be loaded.
`java.lang.String[]` `findRepositories()` Return a String array of the current repositories for this class loader.
`boolean` `modified()` Have one or more classes or resources been modified so that a reload is appropriate?

Method Detail

### addRepository

    public void addRepository(java.lang.String repository)

  Add a new repository to the set of places this ClassLoader can look for classes to be loaded.

  Parameters:
    `repository` - Name of a source of classes to be loaded, such as a directory pathname, a JAR file pathname, or a ZIP file pathname
  Throws:
    `java.lang.IllegalArgumentException` - if the specified repository is invalid or does not exist

### findRepositories

    public java.lang.String[] findRepositories()

  Return a String array of the current repositories for this class loader. If there are no repositories, a zero-length array is returned.

### modified

    public boolean modified()

  Have one or more classes or resources been modified so that a reload is appropriate?

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.